import 'package:doctor_app_flutter/utils/translations_delegate_base_utils.dart';
import 'package:doctor_app_flutter/widgets/shared/buttons/app_buttons_widget.dart';
import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';

class AddSoapItem extends StatelessWidget{
  final VoidCallback onAddSoapItemClicked;
  final String title;

  const AddSoapItem({super.key, required this.onAddSoapItemClicked, required this.title});
  @override
  Widget build(BuildContext context) {
   return Row(
     children: [
       Expanded(
         child: AppButton(

             elevation:0,

           icon: SvgPicture.asset('assets/images/svgs/add-square.svg'),
           title:this.title,
           color: Color(0xffEAEAEA),
           fontColor: Colors.black,
           fontWeight: FontWeight.w600,
           disabled: false,
           onPressed: () async {
             onAddSoapItemClicked();
           },
         ),
       ),
     ],
   );
  }

}